#
# Cookbook Name:: base_install-0.1.0
# Recipe:: bmi_dns
#
# Copyright (c) 2015 The Authors, All Rights Reserved.
# include_recipe 'resolvconf'

# node.default['dns']['domain'] = node['platform'] == 'amazon' ? '*aws.bmidomain.com' : '*.bmidomain.com'

# attributes dns servers and domain in environment
template '/etc/resolv.conf' do
  source 'dns/resolv.conf.erb'
  owner 'root'
  group 'root'
  mode '0644'
  variables(
    domain: node['dns']['domain'],
    servers: node['dns']['servers'])
  only_if { node['dns']['domain'] }
end

