#
# Cookbook Name:: base_install
# Recipe:: bmi_promt_color
#
# Copyright (c) 2015 The Authors, All Rights Reserved.

green = "\\[$(tput setaf 2)\\][\\u@\\h \\W]\\\\$ \\[$(tput sgr0)\\]"
red   = "\\[$(tput setaf 1)\\][\\u@\\h \\W]\\\\$ \\[$(tput sgr0)\\]"
exp = ''

node['suffix'].gsub(/\d/, '') == 'prod' ?  exp = "export PS1=\"#{red}\"" : exp = "export PS1=\"#{green}\""

ruby_block '/etc/profile' do
  block do
    file = Chef::Util::FileEdit.new('/etc/profile')
    file.insert_line_if_no_match('export PS1', exp)
    file.search_file_delete_line('# End of file')
    file.insert_line_if_no_match('# End of file', '# End of file')
    file.write_file
  end
end

bash 'color' do
  code 'source /etc/profile'
end
