#
# Cookbook Name:: base_install
# Recipe:: bmi_timezone
#
# Copyright (c) 2015 The Authors, All Rights Reserved.
if node['platform_version'].to_i == 7
  # timezone =  Mixlib::ShellOut.new('timedatectl status | grep Timezone')
  timezone = `timedatectl status | grep Timezone'`
  if timezone.include?(node['system']['timezone'])
    Chef::Log.info("TimeZone is #{node['system']['timezone']}")
  else
    include_recipe 'system::timezone'
  end
else
  include_recipe 'system::timezone'
end
